from sqlalchemy import BigInteger
from sqlalchemy.orm import Mapped, mapped_column

from src.core.database.base import Base


class User(Base):
    telegram_id: Mapped[int] = mapped_column(
        BigInteger,
        primary_key=True,
        unique=True,
    )
    username: Mapped[str]
    first_name: Mapped[str | None]
    last_name: Mapped[str | None]

