import json

from pyrogram import Client, filters
from pyrogram.enums import ChatType
from pyrogram.types import Message

from ai_test import create_request_ai
from src.core.common.promt import BASE_MESSAGE

api_id = 17718565
api_hash = "72f93973f4227415572f039d4f847082"

app = Client(
    name="advatroniks",
    api_id=api_id,
    api_hash=api_hash,
)

DATA = dict()


@app.on_message(filters.all)  # Используем фильтр для сообщений из всех чатов
async def listen_messages(client: Client, message: Message):
    # print(message.chat)
    chat_title = message.chat.title or message.chat.first_name or message.chat.username
    sender = message.from_user.first_name if message.from_user else "Система/Бот"
    text = message.text or "[не текстовое сообщение]"



    if message.chat.type not in [ChatType.PRIVATE, ChatType.BOT] and message.from_user:
        if DATA.get(message.chat.id):
            DATA[message.chat.id].append(
                {
                    "message_id": message.id,
                    "user_id": message.from_user.id,
                    "chat_id": message.chat.id,
                    "text": message.text,
                    "date": message.date.strftime("%d/%m/%Y:%H:%M:%S"),
                }
            )
        else:
            DATA[message.chat.id] = [
                {
                    "message_id": message.id,
                    "user_id": message.from_user.id,
                    "chat_id": message.chat.id,
                    "text": message.text,
                    "date": message.date.strftime("%d/%m/%Y:%H:%M:%S"),
                }
            ]
        print(len(DATA[message.chat.id]))

    # print(chat_title, '|', len(DATA[message.chat.id]))
    # print(len(DATA[message.chat.id]))
    counter = 0

    for key, value in DATA.items():
        if len(value) == 20 and counter == 0:
            extend_message = {
                "role": "user",
                "content": json.dumps({
                    "messages": value
                })
            }
            BASE_MESSAGE.append(extend_message)
            await create_request_ai(
                messages=BASE_MESSAGE
            )

            for _ in value:
                print(_)
            counter += 1

    # print(f"Сообщение из чата: {chat_title}")
    # print(f"Отправитель: {sender}")
    # print(f"Текст: {text}")
    # print("-" * 40)

# Запуск клиента
if __name__ == "__main__":
    print("Слушаю все сообщения из чатов...")
    app.run()